<?php
    header('Content-type: text/plain');

    /*
        exemple de clé qui ne devrait en aucun cas être stockée dans le fichier où l'on procède aux opération dechiffrement/déchiffrement
        de préférence on stockera la clé sur un autre serveur si possible.
        la clé est le POINT FAIBLE. Si on vole vos données ET votre clé, c'est comme si vos données n'étaient pas chiffrées.
        Une solution, pas à toute épreuve, est de la servir depuis une autre base de données que celle où l'on stocke, interrogeable seulement par le serveur supposé la lire
        (en vérifiant au minimum l'IP, mais peut etre aussi dans le programme qui la sert, l'adresse MAC de la carte du client)
    */

    $key ="myVerySecretKeyThaNobodyShouldEverAccess";

    $data = "une chaine de caractère à chiffrer";

    require ('Encrypter.php');

    $encrypter    = new Encrypter(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_CBC, $key); // Instancie un encrypter

    $data_crypted = $encrypter->encrypt($data);
    echo $data_crypted ."\n";
    $data_decrypted = $encrypter->decrypt($data_crypted);
    echo $data_decrypted ."\n";


?>
